package org.ii.jaas;

import java.util.HashSet;
import java.util.Set;

public class SecurityRole 
{
    private Long id;
    private String title;
    private Set accounts = new HashSet();

    /**
	 * @see java.lang.Object#toString()
	 */
	public String toString() 
	{
		return "title:"+title;
	}
	/**
	 * @return Returns the accounts.
	 */
	public Set getAccounts() {
		return accounts;
	}
	/**
	 * @param accounts The accounts to set.
	 */
	public void setAccounts(Set accounts) {
		this.accounts = accounts;
	}
	/**
	 * @return Returns the id.
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id The id to set.
	 */
	private void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return Returns the title.
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * @param title The title to set.
	 */
	public void setTitle(String title) {
		this.title = title;
	}
}