package org.ii.jaas;

import java.util.HashSet;
import java.util.Set;

public class UserAccount 
{
    private Long id;
    private String username;
    private String password;
    private boolean disabled;
    private Set roles = new HashSet();

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() 
	{
		return "username:"+username+", disabled:"+disabled;
	}
	/**
	 * @return Returns the disabled.
	 */
	public boolean isDisabled() {
		return disabled;
	}
	/**
	 * @param disabled The disabled to set.
	 */
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	/**
	 * @return Returns the id.
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id The id to set.
	 */
	private void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return Returns the password.
	 */
	public String getPassword() {
		return password;
	}
	/**
	 * @param password The password to set.
	 */
	public void setPassword(String password) {
		this.password = password;
	}
	/**
	 * @return Returns the roles.
	 */
	public Set getRoles() {
		return roles;
	}
	/**
	 * @param roles The roles to set.
	 */
	public void setRoles(Set roles) {
		this.roles = roles;
	}
	/**
	 * @return Returns the username.
	 */
	public String getUsername() {
		return username;
	}
	/**
	 * @param username The username to set.
	 */
	public void setUsername(String username) {
		this.username = username;
	}
}
